Bug 1577651 - yum Update from satellite 6.3.1 -> 6.4 failed at dependency resolution
Summary: yum Update from satellite 6.3.1 -> 6.4 failed at dependency resolution
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Upgrades
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.4.0
Assignee: Evgeni Golov
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-13 18:23 UTC by Nikhil Kathole
Modified: 2019-11-05 23:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:11:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Nikhil Kathole 2018-05-13 18:23:03 UTC
Description of problem: Yum update failed for satellite 6.3.1 while updating to satellite 6.4.

# yum repolist
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager
repo id                                            repo name                                                                                 status
rhel-7-server-extras-rpms/x86_64                   Red Hat Enterprise Linux 7 Server - Extras (RPMs)                                            814
rhel-7-server-rpms/x86_64                          Red Hat Enterprise Linux 7 Server (RPMs)                                                  20,133
rhel-server-rhscl-7-rpms/x86_64                    Red Hat Software Collections RPMs for Red Hat Enterprise Linux 7 Server                    9,961
sat6                                               satellite 6                                                                                  366
repolist: 31,274


Version-Release number of selected component (if applicable):

 # rpm -q satellite
satellite-6.3.1-3.el7sat.noarch


How reproducible: always


Steps to Reproduce:
1. Add 6.4 repo
2. yum update

Actual results: yum update failed at

--> Finished Dependency Resolution
Error: Package: tfm-rubygem-passenger-4.0.18-23.el7sat.x86_64 (@rhel-7-server-satellite-6.3-rpms)
           Requires: rh-ror42-rubygem(rack)
           Removing: 1:rh-ror42-rubygem-rack-1.6.2-3.el7.noarch (@rhel-server-rhscl-7-rpms)
               rh-ror42-rubygem(rack) = 1.6.2
           Obsoleted By: satellite-common-6.4.0-5.beta.el7sat.noarch (sat6)
               Not found
Error: Package: tfm-rubygem-passenger-4.0.18-23.el7sat.x86_64 (@rhel-7-server-satellite-6.3-rpms)
           Requires: rh-ruby23-ruby(release)
           Removing: rh-ruby23-ruby-libs-2.3.6-67.el7.x86_64 (@rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(release) = 2.3.6
           Obsoleted By: satellite-common-6.4.0-5.beta.el7sat.noarch (sat6)
               Not found
           Available: rh-ruby23-ruby-libs-2.3.0-60.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(release) = 2.3.0
           Available: rh-ruby23-ruby-libs-2.3.1-64.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(release) = 2.3.1
Error: Package: tfm-rubygem-hammer_cli_csv-2.3.1-1.el7sat.noarch (@rhel-7-server-satellite-6.3-rpms)
           Requires: rh-ruby23-ruby(rubygems)
           Removing: rh-ruby23-rubygems-2.5.2.2-67.el7.noarch (@rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(rubygems) = 2.5.2.2-67.el7
           Obsoleted By: satellite-common-6.4.0-5.beta.el7sat.noarch (sat6)
               Not found
           Available: rh-ruby23-rubygems-2.5.1-60.el7.noarch (rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(rubygems) = 2.5.1-60.el7
           Available: rh-ruby23-rubygems-2.5.1-64.el7.noarch (rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(rubygems) = 2.5.1-64.el7
Error: Package: tfm-rubygem-jquery-ui-rails-4.1.2-3.el7sat.noarch (@rhel-7-server-satellite-6.2-rpms)
           Requires: rh-ruby22-ruby(release)
           Removing: rh-ruby22-ruby-libs-2.2.9-19.el7.x86_64 (@rhel-server-rhscl-7-rpms)
               rh-ruby22-ruby(release) = 2.2.9
           Obsoleted By: satellite-common-6.4.0-5.beta.el7sat.noarch (sat6)
               Not found
           Available: rh-ruby22-ruby-libs-2.2.2-11.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby22-ruby(release) = 2.2.2
           Available: rh-ruby22-ruby-libs-2.2.2-12.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby22-ruby(release) = 2.2.2
           Available: rh-ruby22-ruby-libs-2.2.2-15.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby22-ruby(release) = 2.2.2
           Available: rh-ruby22-ruby-libs-2.2.2-16.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby22-ruby(release) = 2.2.2
Error: Package: tfm-rubygem-ffi-1.4.0-10.el7sat.x86_64 (@rhel-7-server-satellite-6.3-rpms)
           Requires: rh-ruby23-ruby(release)
           Removing: rh-ruby23-ruby-libs-2.3.6-67.el7.x86_64 (@rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(release) = 2.3.6
           Obsoleted By: satellite-common-6.4.0-5.beta.el7sat.noarch (sat6)
               Not found
           Available: rh-ruby23-ruby-libs-2.3.0-60.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(release) = 2.3.0
           Available: rh-ruby23-ruby-libs-2.3.1-64.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(release) = 2.3.1
Error: Package: 1:tfm-rubygem-concurrent-ruby-1.0.3-1.fm1_15.el7sat.noarch (@rhel-7-server-satellite-6.3-rpms)
           Requires: rh-ruby23-ruby
           Removing: rh-ruby23-ruby-2.3.6-67.el7.x86_64 (@rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby = 2.3.6-67.el7
           Obsoleted By: satellite-common-6.4.0-5.beta.el7sat.noarch (sat6)
               Not found
           Available: rh-ruby23-ruby-2.3.0-60.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby = 2.3.0-60.el7
           Available: rh-ruby23-ruby-2.3.1-64.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby = 2.3.1-64.el7
Error: Package: 1:tfm-rubygem-concurrent-ruby-1.0.3-1.fm1_15.el7sat.noarch (@rhel-7-server-satellite-6.3-rpms)
           Requires: rh-ruby23-ruby(release)
           Removing: rh-ruby23-ruby-libs-2.3.6-67.el7.x86_64 (@rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(release) = 2.3.6
           Obsoleted By: satellite-common-6.4.0-5.beta.el7sat.noarch (sat6)
               Not found
           Available: rh-ruby23-ruby-libs-2.3.0-60.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(release) = 2.3.0
           Available: rh-ruby23-ruby-libs-2.3.1-64.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(release) = 2.3.1
Error: Package: tfm-rubygem-jquery-ui-rails-4.1.2-3.el7sat.noarch (@rhel-7-server-satellite-6.2-rpms)
           Requires: rh-ruby22-ruby
           Removing: rh-ruby22-ruby-2.2.9-19.el7.x86_64 (@rhel-server-rhscl-7-rpms)
               rh-ruby22-ruby = 2.2.9-19.el7
           Obsoleted By: satellite-common-6.4.0-5.beta.el7sat.noarch (sat6)
               Not found
           Available: rh-ruby22-ruby-2.2.2-11.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby22-ruby = 2.2.2-11.el7
           Available: rh-ruby22-ruby-2.2.2-12.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby22-ruby = 2.2.2-12.el7
           Available: rh-ruby22-ruby-2.2.2-15.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby22-ruby = 2.2.2-15.el7
           Available: rh-ruby22-ruby-2.2.2-16.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby22-ruby = 2.2.2-16.el7
Error: Package: tfm-rubygem-ffi-1.4.0-10.el7sat.x86_64 (@rhel-7-server-satellite-6.3-rpms)
           Requires: rh-ruby23-rubygems
           Removing: rh-ruby23-rubygems-2.5.2.2-67.el7.noarch (@rhel-server-rhscl-7-rpms)
               rh-ruby23-rubygems = 2.5.2.2-67.el7
           Obsoleted By: satellite-common-6.4.0-5.beta.el7sat.noarch (sat6)
               Not found
           Available: rh-ruby23-rubygems-2.5.1-60.el7.noarch (rhel-server-rhscl-7-rpms)
               rh-ruby23-rubygems = 2.5.1-60.el7
           Available: rh-ruby23-rubygems-2.5.1-64.el7.noarch (rhel-server-rhscl-7-rpms)
               rh-ruby23-rubygems = 2.5.1-64.el7
Error: Package: tfm-rubygem-jquery-ui-rails-4.1.2-3.el7sat.noarch (@rhel-7-server-satellite-6.2-rpms)
           Requires: rh-ruby22-ruby(rubygems) >= 1.3.6
           Removing: rh-ruby22-rubygems-2.4.5.4-19.el7.x86_64 (@rhel-server-rhscl-7-rpms)
               rh-ruby22-ruby(rubygems) = 2.4.5.4-19.el7
           Obsoleted By: satellite-common-6.4.0-5.beta.el7sat.noarch (sat6)
               Not found
           Available: rh-ruby22-rubygems-2.4.5-11.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby22-ruby(rubygems) = 2.4.5-11.el7
           Available: rh-ruby22-rubygems-2.4.5-12.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby22-ruby(rubygems) = 2.4.5-12.el7
           Available: rh-ruby22-rubygems-2.4.5-15.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby22-ruby(rubygems) = 2.4.5-15.el7
           Available: rh-ruby22-rubygems-2.4.5-16.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby22-ruby(rubygems) = 2.4.5-16.el7
Error: Package: tfm-rubygem-passenger-4.0.18-23.el7sat.x86_64 (@rhel-7-server-satellite-6.3-rpms)
           Requires: rh-ruby23-rubygems
           Removing: rh-ruby23-rubygems-2.5.2.2-67.el7.noarch (@rhel-server-rhscl-7-rpms)
               rh-ruby23-rubygems = 2.5.2.2-67.el7
           Obsoleted By: satellite-common-6.4.0-5.beta.el7sat.noarch (sat6)
               Not found
           Available: rh-ruby23-rubygems-2.5.1-60.el7.noarch (rhel-server-rhscl-7-rpms)
               rh-ruby23-rubygems = 2.5.1-60.el7
           Available: rh-ruby23-rubygems-2.5.1-64.el7.noarch (rhel-server-rhscl-7-rpms)
               rh-ruby23-rubygems = 2.5.1-64.el7
Error: Package: tfm-rubygem-ffi-1.4.0-10.el7sat.x86_64 (@rhel-7-server-satellite-6.3-rpms)
           Requires: libruby.so.2.3()(64bit)
           Removing: rh-ruby23-ruby-libs-2.3.6-67.el7.x86_64 (@rhel-server-rhscl-7-rpms)
               libruby.so.2.3()(64bit)
           Obsoleted By: satellite-common-6.4.0-5.beta.el7sat.noarch (sat6)
               Not found
           Available: rh-ruby23-ruby-libs-2.3.0-60.el7.x86_64 (rhel-server-rhscl-7-rpms)
               libruby.so.2.3()(64bit)
           Available: rh-ruby23-ruby-libs-2.3.1-64.el7.x86_64 (rhel-server-rhscl-7-rpms)
               libruby.so.2.3()(64bit)
Error: Package: tfm-rubygem-hammer_cli_csv-2.3.1-1.el7sat.noarch (@rhel-7-server-satellite-6.3-rpms)
           Requires: rh-ruby23-ruby(release)
           Removing: rh-ruby23-ruby-libs-2.3.6-67.el7.x86_64 (@rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(release) = 2.3.6
           Obsoleted By: satellite-common-6.4.0-5.beta.el7sat.noarch (sat6)
               Not found
           Available: rh-ruby23-ruby-libs-2.3.0-60.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(release) = 2.3.0
           Available: rh-ruby23-ruby-libs-2.3.1-64.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(release) = 2.3.1
Error: Package: 1:tfm-rubygem-concurrent-ruby-1.0.3-1.fm1_15.el7sat.noarch (@rhel-7-server-satellite-6.3-rpms)
           Requires: rh-ruby23-ruby(rubygems)
           Removing: rh-ruby23-rubygems-2.5.2.2-67.el7.noarch (@rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(rubygems) = 2.5.2.2-67.el7
           Obsoleted By: satellite-common-6.4.0-5.beta.el7sat.noarch (sat6)
               Not found
           Available: rh-ruby23-rubygems-2.5.1-60.el7.noarch (rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(rubygems) = 2.5.1-60.el7
           Available: rh-ruby23-rubygems-2.5.1-64.el7.noarch (rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(rubygems) = 2.5.1-64.el7
Error: Package: tfm-rubygem-passenger-native-libs-4.0.18-23.el7sat.x86_64 (@rhel-7-server-satellite-6.3-rpms)
           Requires: rh-ruby23-ruby
           Removing: rh-ruby23-ruby-2.3.6-67.el7.x86_64 (@rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby = 2.3.6-67.el7
           Obsoleted By: satellite-common-6.4.0-5.beta.el7sat.noarch (sat6)
               Not found
           Available: rh-ruby23-ruby-2.3.0-60.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby = 2.3.0-60.el7
           Available: rh-ruby23-ruby-2.3.1-64.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby = 2.3.1-64.el7
Error: Package: tfm-rubygem-passenger-4.0.18-23.el7sat.x86_64 (@rhel-7-server-satellite-6.3-rpms)
           Requires: /opt/rh/rh-ruby23/root/usr/bin/ruby
           Removing: rh-ruby23-ruby-2.3.6-67.el7.x86_64 (@rhel-server-rhscl-7-rpms)
               Not found
           Obsoleted By: satellite-common-6.4.0-5.beta.el7sat.noarch (sat6)
               Not found
           Available: rh-ruby23-ruby-2.3.0-60.el7.x86_64 (rhel-server-rhscl-7-rpms)
               Not found
           Available: rh-ruby23-ruby-2.3.1-64.el7.x86_64 (rhel-server-rhscl-7-rpms)
               Not found
Error: Package: tfm-rubygem-passenger-native-libs-4.0.18-23.el7sat.x86_64 (@rhel-7-server-satellite-6.3-rpms)
           Requires: libruby.so.2.3()(64bit)
           Removing: rh-ruby23-ruby-libs-2.3.6-67.el7.x86_64 (@rhel-server-rhscl-7-rpms)
               libruby.so.2.3()(64bit)
           Obsoleted By: satellite-common-6.4.0-5.beta.el7sat.noarch (sat6)
               Not found
           Available: rh-ruby23-ruby-libs-2.3.0-60.el7.x86_64 (rhel-server-rhscl-7-rpms)
               libruby.so.2.3()(64bit)
           Available: rh-ruby23-ruby-libs-2.3.1-64.el7.x86_64 (rhel-server-rhscl-7-rpms)
               libruby.so.2.3()(64bit)
Error: Package: tfm-rubygem-passenger-4.0.18-23.el7sat.x86_64 (@rhel-7-server-satellite-6.3-rpms)
           Requires: rh-ruby23-rubygem(rake)
           Removing: rh-ruby23-rubygem-rake-10.4.2-67.el7.noarch (@rhel-server-rhscl-7-rpms)
               rh-ruby23-rubygem(rake) = 10.4.2-67.el7
           Obsoleted By: satellite-common-6.4.0-5.beta.el7sat.noarch (sat6)
               Not found
           Available: rh-ruby23-rubygem-rake-10.4.2-60.el7.noarch (rhel-server-rhscl-7-rpms)
               rh-ruby23-rubygem(rake) = 10.4.2-60.el7
           Available: rh-ruby23-rubygem-rake-10.4.2-64.el7.noarch (rhel-server-rhscl-7-rpms)
               rh-ruby23-rubygem(rake) = 10.4.2-64.el7
Error: Package: tfm-rubygem-jquery-ui-rails-4.1.2-3.el7sat.noarch (@rhel-7-server-satellite-6.2-rpms)
           Requires: rh-ror41-rubygem(railties) >= 3.1.0
           Removing: rh-ror41-rubygem-railties-4.1.5-1.el7.noarch (@rhel-server-rhscl-7-rpms)
               rh-ror41-rubygem(railties) = 4.1.5
           Obsoleted By: satellite-common-6.4.0-5.beta.el7sat.noarch (sat6)
               Not found



Expected results: Successful yum update.


Additional info:

Comment 2 Evgeni Golov 2018-05-14 14:42:28 UTC
moving to on_dev, we've handled all the fallout from the obsoletes update

Comment 3 Lukas Pramuk 2018-05-18 12:25:08 UTC
1) 6.4 snap provides older tfm-rubygem-hammer_cli_csv than what 6.3 released

Installed Packages
tfm-rubygem-hammer_cli_csv.noarch                    2.3.1-1.el7sat                    @rhel-7-server-satellite-6.3-rpms
Available Packages
tfm-rubygem-hammer_cli_csv.noarch                    2.3.0-2.el7sat                    satellite                        


2) tfm-rubygem-concurrent-ruby is either missing in 6.4 snap or should be obsoleted

3) 6.4 snap provides older tfm-rubygem-passenger and tfm-rubygem-passenger-native-libs than what 6.3 released

Installed Packages
tfm-rubygem-passenger.x86_64                          4.0.18-23.el7sat                 @rhel-7-server-satellite-6.3-rpms
tfm-rubygem-passenger-native-libs.x86_64              4.0.18-23.el7sat                 @rhel-7-server-satellite-6.3-rpms
Available Packages
tfm-rubygem-passenger.x86_64                          4.0.18-9.13.el7sat               satellite
tfm-rubygem-passenger-native-libs.x86_64              4.0.18-9.13.el7sat               satellite

Comment 4 Lukas Pramuk 2018-05-20 10:01:45 UTC
VERIFIED.

@satellite-6.4.0-7.beta.el7sat
tfm-rubygem-hammer_cli_csv-2.3.1-2.el7sat
tfm-rubygem-passenger-4.0.18-24.el7sat
tfm-ror51-rubygem-concurrent-ruby-1.0.5-4.el7sat

# yum update

>>> no dependency errors, though another error 

warning: %post(foreman-installer-1:1.18.0.develop-1develop.el7sat.noarch) scriptlet failed, exit status 27

>>> nonfatal, already reported as BZ 1576443

error: %pre(rubygem-smart_proxy_remote_execution_ssh-0.2.0-2.el7sat.noarch) scriptlet failed, exit status 1

>>> fatal, to be reported

Comment 5 Lukas Pramuk 2018-05-20 10:12:01 UTC
fatal error reported as BZ 1580111

Comment 6 Bryan Kearney 2018-10-16 19:11:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.